Administration
Set a user's two-factor requirement
POST
/api/admin/users/{userId}/2faEnables or disables the requirement for the specified user to set up two-factor authentication.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| userIdrequired | string | ID of the associated user. |
Request body
| Name | Type | Description |
|---|---|---|
| requiredrequired | boolean |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| okrequired | boolean | Whether the operation succeeded. |
| twoFactorRequiredrequired | any | Whether two-factor authentication is required. |
| userIdrequired | string | ID of the associated user. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
404Not found.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
404 example
503Service unavailable.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
503 example
Code samples
cURL